%global momorel 2

Summary: GNOME Structured File library
Name: libgsf

Version: 1.14.8
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPL
URL: http://www.gnome.org/gnumeric/

Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.14/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: intltool
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel
BuildPrereq: libxml2-devel
BuildPrereq: gnome-vfs2-devel
BuildPrereq: pygobject-devel
BuildPrereq: libbonobo-devel
BuildPrereq: pygtk2-devel
Requires: pygobject

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gnome-vfs2-devel
Requires: libbonobo-devel

%description devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --with-python \
    --with-bz2 \
    --with-gnome
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

rm -f %{buildroot}%{_datadir}/locale/es/LC_MESSAGES/libgsf.mo
rm -f %{buildroot}%{_datadir}/locale/sv/LC_MESSAGES/libgsf.mo

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for s in %{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
do
    gconftool-2 --makefile-install-rule $s > /dev/null
done

%postun
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{_libdir}/lib*.so.*
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/gsf-office-thumbnailer.1.*
%{_mandir}/man1/gsf.1.*
%{_bindir}/gsf
%{_bindir}/gsf-vba-dump
%{_libdir}/python2.5/site-packages/gsf
%{_datadir}/locale/*/*/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/*
%{_datadir}/gtk-doc/html/gsf

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.14.8-2m)
- rebuild against gcc43

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.8-1m)
- update 1.14.8

* Thu Oct  4 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPrereq pygtk2-devel for pygtk-codegen-2.0

* Sun Sep  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.7-1m)
- update to 1.14.7

* Wed Sep  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.6-1m)
- update to 1.14.6

* Tue Aug 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.5-1m)
- update to 1.14.5

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.3-1m)
- [SECUIRTY] CVE-2006-4514
- update to 1.14.3

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.1-2m)
- delete libtool library

* Wed May 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.14.1-1m)
- update to 1.14.1

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.14.0-1m)
- update to 1.14.0

* Sun Dec 4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-3m)
- delete link (nautilus was need version up!)

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-2m)
- add link libgsf-1.so.113 to libgsf-1.so.1
- For nautilus

* Tue Nov 29 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.13.3-1m)
- update to 1.13.3
- For gnumeric

* Sun Nov 20 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.12.3-1m)
- update to 1.12.3
- GNOME 2.12 Desktop

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.11.1-1m)
- update to 1.11.1
- GNOME 2.8 Desktop

* Tue Dec 21 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.11.0-1m)
- update to 1.11.0

* Tue Aug 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.9.0-2m)
- use autoconf instead of autoconf-2.58

* Tue May 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.9.0-1m)
- update to 1.9.0

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-5m)
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.8.2-4m)
- rebuild against for libxml2-2.6.8

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.8.2-3m)
- revised spec for enabling rpm 4.2.

* Tue Oct 28 2003 Kenta MURATA <muraken2@nifty.com>
- (1.8.2-2m)
- pretty spec file.

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-2m)
- change URL

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.8.2-1m)
- version 1.8.2

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.1-1m)
- version 1.8.1

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.8.0-1m)
- version 1.8.0

* Mon Mar 10 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.7.2-3m)
  rebuild against openssl 0.9.7a

* Sun Mar  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.7.2-2m)
- fix URL

* Wed Jan 29 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.7.2-1m)
- version 1.7.2

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.6.0-1m)
- version 1.6.0

* Mon Oct 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5.0-1m)
- version 1.5.0

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.0-1m)
- version 1.4.0

* Mon Aug 26 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.3.0-1m)
- version 1.3.0

* Tue Aug 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.0-1m)
- version 1.2.0

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-3m)
- rebuild against for glib-2.0.6
- rebuild against for gtk+-2.0.6
- rebuild against for pango-1.0.4
- rebuild against for atk-1.0.3

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-2m)
- fix file list

* Mon Jul 22 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.0-1m)
- create
